> **For AI agents:** this page is a focused, LLM-optimized view of a
> single Fiber AI operation. Before calling it, fetch the routing
> instructions at [`https://api.fiber.ai/llms.txt`](https://api.fiber.ai/llms.txt) and the full operation
> index at [`https://api.fiber.ai/ai-docs/index.md`](https://api.fiber.ai/ai-docs/index.md).

# basicWorkEmailReveal

`POST /v1/contact-details/basic-work-email`

**Tags:** `Contact details`

Find work email from name and company (no LinkedIn required)

**Endpoint:** `https://api.fiber.ai/v1/contact-details/basic-work-email`

## Description

Finds a work email from a person's name and company information without requiring a LinkedIn profile. Useful when the person is not on LinkedIn.

⚡ Rate limit: 30 requests per 1 minute

💰 Cost: 1 credit per lite email reveal ⓘ

⏱ Recommended timeout: 4 minutes ⓘ

## Request body (JSON Schema)

```json
{
  "type": "object",
  "properties": {
    "apiKey": {
      "type": "string",
      "description": "Your Fiber API key"
    },
    "name": {
      "oneOf": [
        {
          "type": "object",
          "properties": {
            "mode": {
              "type": "string",
              "enum": [
                "fullName"
              ]
            },
            "fullName": {
              "type": "string",
              "minLength": 1,
              "description": "Full name of the person."
            }
          },
          "required": [
            "mode",
            "fullName"
          ]
        },
        {
          "type": "object",
          "properties": {
            "mode": {
              "type": "string",
              "enum": [
                "firstLast"
              ]
            },
            "firstName": {
              "type": "string",
              "minLength": 1,
              "description": "First name of the person."
            },
            "lastName": {
              "type": "string",
              "minLength": 1,
              "description": "Last name of the person."
            }
          },
          "required": [
            "mode",
            "firstName",
            "lastName"
          ]
        }
      ],
      "description": "Person name. Provide a full name, or first and last name separately."
    },
    "company": {
      "oneOf": [
        {
          "type": "object",
          "properties": {
            "mode": {
              "type": "string",
              "enum": [
                "domain"
              ]
            },
            "domain": {
              "type": "string",
              "minLength": 1,
              "description": "Company domain (e.g. 'acme.com')."
            }
          },
          "required": [
            "mode",
            "domain"
          ]
        },
        {
          "type": "object",
          "properties": {
            "mode": {
              "type": "string",
              "enum": [
                "identifier"
              ]
            },
            "identifier": {
              "oneOf": [
                {
                  "type": "object",
                  "properties": {
                    "identifier": {
                      "type": "string",
                      "enum": [
                        "linkedinUrl"
                      ]
                    },
                    "value": {
                      "type": "string",
                      "minLength": 1,
                      "description": "LinkedIn company URL (e.g. 'https://www.linkedin.com/company/openai')."
                    }
                  },
                  "required": [
                    "identifier",
                    "value"
                  ]
                },
                {
                  "type": "object",
                  "properties": {
                    "identifier": {
                      "type": "string",
                      "enum": [
                        "linkedinSlug"
                      ]
                    },
                    "value": {
                      "type": "string",
                      "minLength": 1,
                      "description": "LinkedIn company slug (e.g. 'openai')."
                    }
                  },
                  "required": [
                    "identifier",
                    "value"
                  ]
                },
                {
                  "type": "object",
                  "properties": {
                    "identifier": {
                      "type": "string",
                      "enum": [
                        "linkedinOrgId"
                      ]
                    },
                    "value": {
                      "type": "string",
                      "pattern": "^\\d+$",
                      "minLength": 1,
                      "description": "LinkedIn numeric organization ID (e.g. '11130470')."
                    }
                  },
                  "required": [
                    "identifier",
                    "value"
                  ]
                },
                {
                  "type": "object",
                  "properties": {
                    "identifier": {
                      "type": "string",
                      "enum": [
                        "domain"
                      ]
                    },
                    "value": {
                      "type": "string",
                      "minLength": 1,
                      "description": "Company website domain (e.g. 'openai.com')."
                    }
                  },
                  "required": [
                    "identifier",
                    "value"
                  ]
                }
              ],
              "description": "Company identifier. Resolved to a website domain before lookup."
            }
          },
          "required": [
            "mode",
            "identifier"
          ]
        }
      ],
      "description": "Company to search. Provide a domain, or a company identifier."
    }
  },
  "required": [
    "apiKey",
    "name",
    "company"
  ]
}
```

## Response — success (JSON Schema)

```json
{
  "type": "object",
  "properties": {
    "output": {
      "type": "object",
      "properties": {
        "emails": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "emailAddress": {
                "type": [
                  "string",
                  "null"
                ],
                "minLength": 1,
                "description": "Email address for the person."
              },
              "type": {
                "type": [
                  "string",
                  "null"
                ],
                "enum": [
                  "work",
                  "personal",
                  null
                ],
                "description": "Classification of the email address."
              },
              "validationStatus": {
                "type": [
                  "string",
                  "null"
                ],
                "enum": [
                  "valid",
                  "risky",
                  "unknown",
                  "invalid",
                  null
                ],
                "description": "Email verification result."
              },
              "deliverabilityScore": {
                "type": [
                  "number",
                  "null"
                ],
                "minimum": 0,
                "maximum": 100,
                "description": "Confidence score ranking deliverability for this email. Higher values indicate higher likelihood of delivery."
              },
              "isCatchAll": {
                "type": [
                  "boolean",
                  "null"
                ],
                "description": "Whether the domain accepts email to any address (catch-all). Catch-all domains make individual address verification unreliable — the address may appear valid but not actually be monitored."
              }
            }
          },
          "description": "Work email found (at most one). Empty array if no email found."
        }
      },
      "required": [
        "emails"
      ]
    },
    "chargeInfo": {
      "oneOf": [
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charged-now"
              ]
            },
            "creditsCharged": {
              "type": "number"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsCharged"
          ],
          "description": "Credits were charged immediately for this operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charging-later"
              ]
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "message"
          ],
          "description": "Credits will be charged after the operation completes"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charged-for-async-process"
              ]
            },
            "creditsCharged": {
              "type": "number"
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsCharged",
            "message"
          ],
          "description": "Credits that were charged for an asynchronous operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "free"
              ]
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "message"
          ],
          "description": "No credits were charged for this operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "credits-refunded"
              ]
            },
            "creditsRefunded": {
              "type": "number"
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsRefunded",
            "message"
          ],
          "description": "Credits were refunded for this operation"
        }
      ]
    },
    "warnings": {
      "type": [
        "array",
        "null"
      ],
      "items": {
        "type": "object",
        "properties": {
          "field": {
            "type": "string",
            "description": "Full path to extraneous field (e.g., 'searchParams.ExtraField')"
          },
          "message": {
            "type": "string",
            "description": "Warning message"
          }
        },
        "required": [
          "field",
          "message"
        ]
      },
      "description": "Warnings about extraneous fields in request"
    },
    "advice": {
      "type": [
        "array",
        "null"
      ],
      "items": {
        "type": "string"
      },
      "description": "Tips, recommendations, and suggestions for using this API effectively."
    }
  },
  "required": [
    "output",
    "chargeInfo"
  ],
  "additionalProperties": false
}
```

---

Canonical JSON: [`https://api.fiber.ai/openapi.json`](https://api.fiber.ai/openapi.json)
Operation index: [`https://api.fiber.ai/ai-docs/index.md`](https://api.fiber.ai/ai-docs/index.md)
